package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvWarningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@RestController
@RequestMapping("/env-warning")
@CrossOrigin
public class EnvWarningController {
    @Autowired
    private IEnvWarningService envWarningService;

    @PostMapping("/listCount")
    public Result listWarningCount(@RequestBody Map<String,String> paramsMap){
        return envWarningService.listCount(paramsMap);
    }

    @PostMapping("/list")
    public Result listWarning(@RequestBody Map<String ,String> paramsMap){
        return envWarningService.listWarning(paramsMap);
    }

    @PostMapping("/listTop")
    public Result listTop(@RequestBody Map<String ,String> paramsMap){
        return envWarningService.listTop(paramsMap);
    }
}
