package com.huimv.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BasePigpen;
import com.huimv.admin.entity.dto.BasePigpenDto;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
public interface IBasePigpenService extends IService<BasePigpen> {

    Result list(String farmCode, String buildName, String stageCode);

    Result addPigpen(BasePigpenDto basePigpenDto);

    Result updatePigpen(BasePigpen basePigpen);

    Result deletePigpen(Map<String, Integer> map);


    //环控
    Result listEnvData(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listDetail(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);//鸡舍内部构造详情

    Result listByUnit(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);//单元数据详情

    Result listChart(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);//图表详情

    Result listByWarning(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);//预警信息

    Result countAll(Map<String, String> paramsMap);
}
