package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnvDeviceOnline;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.EnvDeviceOnlineVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-03-24
 */
public interface EnvDeviceOnlineMapper extends BaseMapper<EnvDeviceOnline> {

    List<EnvDeviceOnlineVo> getDeviceStatus(@Param(Constants.WRAPPER) QueryWrapper<EnvDeviceOnline> queryWrapper);

    BigDecimal getStatus(@Param(Constants.WRAPPER) QueryWrapper<EnvDeviceOnline> queryWrapper);
}
